commit:     4bbf07355e015ae539b2e35f1d53f8906c51da68
Author:     Anna (cybertailor) Vyalkova <cyber+gentoo <AT> sysrq <DOT> in>
AuthorDate: Sun Jun 22 11:12:11 2025 +0000
Commit:     Anna Vyalkova <cyber+gentoo <AT> sysrq <DOT> in>
CommitDate: Sun Jun 22 11:12:11 2025 +0000
URL:        https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=4bbf0735

phosh-base/pfs: add 0.0.4

Signed-off-by: Anna (cybertailor) Vyalkova <cyber+gentoo <AT> sysrq.in>

 phosh-base/pfs/Manifest         |   1 +
 phosh-base/pfs/pfs-0.0.4.ebuild | 173 ++++++++++++++++++++++++++++++++++++++++
 2 files changed, 174 insertions(+)

diff --git a/phosh-base/pfs/Manifest b/phosh-base/pfs/Manifest
index 0f48b506be..7aaa3df24b 100644
--- a/phosh-base/pfs/Manifest
+++ b/phosh-base/pfs/Manifest
@@ -51,6 +51,7 @@ DIST objc_id-0.1.1.crate 3258 BLAKE2B 
9a74fc17235ffdd7987c2735a7a9d136376fd13355
 DIST pango-0.20.6.crate 45581 BLAKE2B 
98ed167fa63e3c32c9d2f99a5eef657bbf53330b43ba5eb8ce446bc930df6124e59ccdd3f173241cbb304ad1be9746cce70c2b9184292f1ac70a45ad80d1c8b0
 SHA512 
713036a109d9a93071e7e725923973707dcad3b6b2377251959bb22dc4c61297eff7c12c3ee1c1182e3514cbb49baf1faa12708eb4d8fc7db735e981492d4b9c
 DIST pango-sys-0.20.4.crate 24956 BLAKE2B 
926b77022e7352a596f8317d59891b422c51aa6fd1a28aacd7d4256d3e4fe3a9fa40b037e588478b506d6c8541f102b8e3484441a6b485109b69e1f098d97d16
 SHA512 
474d1afd2c732b221b9226dc68a55a207bf8d0c4534b257086a5d3567711566ac94a896e851fca10b899523e8a93ce0a725e60a4fbd83c652cb8342cf2f29504
 DIST pfs-v0.0.3.tar.bz2 52690 BLAKE2B 
0533c039020eb904a4942f05be892fc9a76f3b1b625a162bfbc789ba329df7fc6d2ed68263b1994c075dd779389f29c701b236e9dab20eb535afea90680bd0f1
 SHA512 
50d38ae1f10d0822bf1294d9827393426cd6bde29da736efb85ea94a21b665daa1792badefb43a5c0338f552baf915323da6c79453a0e91636ee76c4c76bbfa0
+DIST pfs-v0.0.4.tar.bz2 52718 BLAKE2B 
736ee635d87a67cd66ced7457a1226f045c922b5e268d19cc612febd03d6de233840347ed117322120eae4fdcb143f1592de8cd173e94122ebbca9238547ef04
 SHA512 
5326ccac880f99a002c0a8da4865083c949a8d9f4826f33a5331330a2baf5013354f5ae6e765874ec2aca5dc95183b97ded014fcfcb5b592df4b777369c41b91
 DIST pin-project-lite-0.2.15.crate 29683 BLAKE2B 
da9dd581eca047f089c2a069a355caf66a631b3ff81fc07220a3c378dc77ea2c399b165ff8a1d2f6556595ec52dc1bbdcbbdea5ad9e5e317281650c9158b3669
 SHA512 
ba3c22c70f98ee0d0e78fb8a25bdc3100b26c3f03f3e4c6c0c238fde75774c5634d6014660c39406a828d1c28f17f44f20fe19dacd331c4da2f4961a7f7c124c
 DIST pin-utils-0.1.0.crate 7580 BLAKE2B 
457e1287202f16d1873b24bf4f1de1828300128c4ba3131758e64f9784d36d47365f22d85493c3a85d854f0d8dbb4c6cef3a0f5b064014dc03943e58b7ba9178
 SHA512 
828422b8440cc82ac6b0743e0112fa7540d437aed457564999092b1462cd7672cd6b1f0201b67075431aeedd3d9c5127468a3dd028744109944f7f023c82fd70
 DIST pkg-config-0.3.31.crate 20880 BLAKE2B 
ab7676e810751f89639b60ae70bdebe1d57edc76319f83077c3680049a701a26e72e8cc485fe77cdc4346fe3571d32c59e7384c8c86fef17e00d7d81df5daf43
 SHA512 
ac3e8062ee8831a4e4fc717b5247dc7f113da7bf6d64ec95cbca7875959a2afa1497bf81d9dfc27206b5fb10027a2509d51dd9ca1c10139d7b4c78128864fdf4

diff --git a/phosh-base/pfs/pfs-0.0.4.ebuild b/phosh-base/pfs/pfs-0.0.4.ebuild
new file mode 100644
index 0000000000..5110017eb7
--- /dev/null
+++ b/phosh-base/pfs/pfs-0.0.4.ebuild
@@ -0,0 +1,173 @@
+# Copyright 2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+# Autogenerated by pycargoebuild 0.15.0
+
+EAPI=8
+
+CRATES="
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+"
+
+inherit cargo gnome2-utils meson xdg
+
+MY_P="${PN}-v${PV}"
+DESCRIPTION="Phosh File Selector library for selecting files"
+HOMEPAGE="https://gitlab.gnome.org/guidog/pfs";
+SRC_URI="https://gitlab.gnome.org/guidog/${PN}/-/archive/v${PV}/${MY_P}.tar.bz2
+       ${CARGO_CRATE_URIS}"
+S="${WORKDIR}/${MY_P}"
+
+LICENSE="GPL-3+"
+# Dependent crate licenses
+LICENSE+="
+       Apache-2.0 Apache-2.0-with-LLVM-exceptions MIT Unicode-DFS-2016
+"
+SLOT="0"
+KEYWORDS="~amd64"
+
+RDEPEND="
+       >=dev-libs/glib-2.70:2
+       >=gui-libs/gtk-4.14:4
+       >=gui-libs/libadwaita-1.4:1
+       virtual/libintl
+"
+# sys crates
+DEPEND="${RDEPEND}
+       media-libs/graphene
+       x11-libs/cairo
+       x11-libs/gdk-pixbuf:2
+       x11-libs/pango
+"
+BDEPEND="
+       dev-libs/glib:2
+       dev-util/patchelf
+       sys-devel/gettext
+"
+
+EMESON_BUILDTYPE="release"
+
+QA_FLAGS_IGNORED="
+       usr/bin/.*
+       usr/lib.*/libpfs.*
+"
+
+src_configure() {
+       unset RUSTC_WRAPPER
+       local emesonargs=(
+               -Dshared-lib=true
+       )
+
+       meson_src_configure
+       ln -s "${CARGO_HOME}" "${BUILD_DIR}/cargo-home" || die
+}
+
+src_compile() {
+       cargo_env meson_src_compile
+}
+
+src_test() {
+       # No meaningful tests.
+       :
+}
+
+pkg_postinst() {
+       xdg_pkg_postinst
+       gnome2_schemas_update
+}
+
+pkg_postrm() {
+       xdg_pkg_postrm
+       gnome2_schemas_update
+}

Reply via email to